import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
import { useCube } from 'qj-mobile-store';
const ClassifyNavJsx = ({ defaultValue, borderRadius, paddingTop, paddingBottom, selectClassifyNav }) => {
    const { View, Text } = useComponent();
    const list = useCube(defaultValue, selectClassifyNav);
    return (_jsx(View, Object.assign({ style: { paddingTop, paddingBottom } }, { children: _jsx(View, Object.assign({ className: 'classifyNav' }, { children: list.map((item, index) => {
                return (_jsxs(View, Object.assign({ className: 'classifyNavItem' }, { children: [_jsx("img", { src: item.imgUrl, alt: "", className: 'img' }), _jsx(Text, Object.assign({ className: 'label' }, { children: item.title }))] }), index));
            }) })) })));
};
export const ClassifyNav = memo(ClassifyNavJsx);
