var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { getEnv, getTaro } from '@brushes/api';
const phoneNumber = '400-990-3366';
export const serviceActionSheet = () => __awaiter(void 0, void 0, void 0, function* () {
    const flag = getEnv();
    if (!flag)
        return;
    const Taro = yield getTaro();
    Taro.showActionSheet({
        itemList: [`客服电话 ${phoneNumber}`],
        success: () => {
            Taro.makePhoneCall({
                phoneNumber,
                fail: (err) => {
                    console.log(err);
                }
            });
        },
        fail: (err) => {
            console.log(err);
        }
    });
});
