import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo, useEffect } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
import { getEnv, queryUsercouponNember } from '@brushes/api';
import { useCouponList } from 'qj-mobile-store';
import { UnUsed, Overdue, Used } from './components';
const CouponListJsx = () => {
    const { View, Text } = useComponent();
    const { coe, setCoe, config } = useCouponList();
    const flag = getEnv();
    useEffect(() => {
        queryUsercouponNember().then((res) => {
            console.log(26, res);
        });
    }, []);
    return (_jsxs(View, Object.assign({ className: 'couponList', style: {
            height: flag ? '100vh' : '667px'
        } }, { children: [_jsx(View, Object.assign({ className: 'couponTab' }, { children: config.current.map((item) => {
                    return (_jsxs(View, Object.assign({ className: `couponTabItem ${coe === item.id ? 'active' : ''}`, onClick: () => setCoe(item.id) }, { children: [item.label, _jsx(Text, { className: 'icon' })] }), item.id));
                }) })), _jsxs(View, Object.assign({ className: 'couponListContent' }, { children: [_jsx(UnUsed, { coe: coe }), _jsx(Used, { coe: coe }), _jsx(Overdue, { coe: coe })] }))] })));
};
export const CouponList = memo(CouponListJsx);
